## org.freedesktop.UDisks2.Manager.LVM2

org.freedesktop.UDisks2.Manager.LVM2 — LVM2 add-on to the manager singleton

## Methods

    VolumeGroupCreate (IN  s     name,
                       IN  ao    blocks,
                       IN  a{sv} options,
                       OUT o     result);

## Description

Additional interface with LVM2 specifics for top-level manager singleton object located at the object path `/org/freedesktop/UDisks2/Manager`.

Since 2.0.0

## Method Details

### The VolumeGroupCreate() method

    VolumeGroupCreate (IN  s     name,
                       IN  ao    blocks,
                       IN  a{sv} options,
                       OUT o     result);

Creates a new volume group, using `blocks` as the initial physical volumes. Each block device will be wiped and all data on them will be lost.

You must specify at least one block device to be used as a physical volume.

No additional options are currently defined.

`IN s `name``: | The name for the volume group.
`IN ao `blocks``: | The block devices to use as physical volumes, as UDisks2 object paths.
`IN a{sv} `options``: | Additional options.
`OUT o `result``: | The object path of the new volume group object.

Since 2.0.0